diff --git a/frontend/src/pages/AdminDashboard.js b/frontend/src/pages/AdminDashboard.js
index 94c04e5..5d737d8 100644
--- a/frontend/src/pages/AdminDashboard.js
+++ b/frontend/src/pages/AdminDashboard.js
@@ -3362,6 +3919,448 @@ const AdminDashboard = () => {
           </AlertDialogFooter>
         </AlertDialogContent>
       </AlertDialog>
+
+      {/* Generic Confirmation Dialog */}
+      <AlertDialog
+        open={confirmDialog.open}
+        onOpenChange={(open) => !open && handleCancelConfirm()}
+      >
+        <AlertDialogContent>
+          <AlertDialogHeader>
+            <AlertDialogTitle>{confirmDialog.title}</AlertDialogTitle>
+            <AlertDialogDescription>
+              {confirmDialog.message}
+            </AlertDialogDescription>
+          </AlertDialogHeader>
+          <AlertDialogFooter>
+            <AlertDialogCancel onClick={handleCancelConfirm}>
+              Cancel
+            </AlertDialogCancel>
+            <AlertDialogAction
+              onClick={handleConfirmAction}
+              className="bg-destructive hover:bg-destructive/90"
+            >
+              Confirm
+            </AlertDialogAction>
+          </AlertDialogFooter>
+        </AlertDialogContent>
+      </AlertDialog>
+
+      {/* Booking Complete Dialog */}
+      <Dialog
+        open={bookingCompleteDialog}
+        onOpenChange={setBookingCompleteDialog}
+      >
+        <DialogContent className="max-w-lg">
+          <DialogHeader>
+            <DialogTitle>
+              {isEditMode ? "Edit Booking Details" : "Complete Service"}
+            </DialogTitle>
+          </DialogHeader>
+          <div className="space-y-4 py-4 max-h-[60vh] overflow-y-auto">
+            <div className="bg-muted p-3 rounded-lg">
+              <p className="font-medium">{selectedBooking?.service_name}</p>
+              <p className="text-sm text-muted-foreground">
+                Customer: {selectedBooking?.name}
+              </p>
+            </div>
+
+            {/* Device Information Section */}
+            <div className="border border-border rounded-lg p-3 space-y-3">
+              <h4 className="font-medium text-sm">Device Information</h4>
+              <div className="grid grid-cols-2 gap-3">
+                <div className="space-y-1">
+                  <Label className="text-xs">Device Model</Label>
+                  <Input
+                    value={bookingCompleteForm.device_model}
+                    onChange={(e) =>
+                      setBookingCompleteForm({
+                        ...bookingCompleteForm,
+                        device_model: e.target.value,
+                      })
+                    }
+                    placeholder="e.g., Dell Latitude 5520"
+                  />
+                </div>
+                <div className="space-y-1">
+                  <Label className="text-xs">Screen Size</Label>
+                  <Input
+                    value={bookingCompleteForm.screen_size}
+                    onChange={(e) =>
+                      setBookingCompleteForm({
+                        ...bookingCompleteForm,
+                        screen_size: e.target.value,
+                      })
+                    }
+                    placeholder="e.g., 15-inch"
+                  />
+                </div>
+                <div className="space-y-1">
+                  <Label className="text-xs">Serial Number</Label>
+                  <Input
+                    value={bookingCompleteForm.serial_number}
+                    onChange={(e) =>
+                      setBookingCompleteForm({
+                        ...bookingCompleteForm,
+                        serial_number: e.target.value,
+                      })
+                    }
+                    placeholder="Enter serial number"
+                  />
+                </div>
+                <div className="space-y-1">
+                  <Label className="text-xs">Product Number</Label>
+                  <Input
+                    value={bookingCompleteForm.product_number}
+                    onChange={(e) =>
+                      setBookingCompleteForm({
+                        ...bookingCompleteForm,
+                        product_number: e.target.value,
+                      })
+                    }
+                    placeholder="Enter product number"
+                  />
+                </div>
+              </div>
+            </div>
+
+            <div className="space-y-2">
+              <Label>Diagnosis / Issue Found</Label>
+              <Textarea
+                value={bookingCompleteForm.diagnosis}
+                onChange={(e) =>
+                  setBookingCompleteForm({
+                    ...bookingCompleteForm,
+                    diagnosis: e.target.value,
+                  })
+                }
+                placeholder="Describe what was wrong with the device..."
+                rows={3}
+              />
+            </div>
+            <div className="space-y-2">
+              <Label>Work Performed</Label>
+              <Textarea
+                value={bookingCompleteForm.work_performed}
+                onChange={(e) =>
+                  setBookingCompleteForm({
+                    ...bookingCompleteForm,
+                    work_performed: e.target.value,
+                  })
+                }
+                placeholder="Describe what was done to fix it..."
+                rows={3}
+              />
+            </div>
+            <div className="space-y-2">
+              <Label>Technician Notes (Internal)</Label>
+              <Textarea
+                value={bookingCompleteForm.technician_notes}
+                onChange={(e) =>
+                  setBookingCompleteForm({
+                    ...bookingCompleteForm,
+                    technician_notes: e.target.value,
+                  })
+                }
+                placeholder="Any internal notes (not shown on receipt)..."
+                rows={2}
+              />
+            </div>
+            <div className="space-y-2">
+              <Label>Final Service Cost ($)</Label>
+              <Input
+                type="number"
+                step="0.01"
+                value={bookingCompleteForm.service_cost}
+                onChange={(e) =>
+                  setBookingCompleteForm({
+                    ...bookingCompleteForm,
+                    service_cost: e.target.value,
+                  })
+                }
+                placeholder="Leave blank to use base service price"
+              />
+            </div>
+            {!isEditMode && (
+              <div className="flex items-center space-x-2 pt-2">
+                <input
+                  type="checkbox"
+                  id="paid-checkbox"
+                  checked={bookingCompleteForm.paid}
+                  onChange={(e) =>
+                    setBookingCompleteForm({
+                      ...bookingCompleteForm,
+                      paid: e.target.checked,
+                    })
+                  }
+                  className="h-4 w-4 rounded border-gray-300"
+                />
+                <Label
+                  htmlFor="paid-checkbox"
+                  className="text-sm font-medium cursor-pointer"
+                >
+                  Payment Received
+                </Label>
+              </div>
+            )}
+          </div>
+          <DialogFooter>
+            <Button
+              variant="outline"
+              onClick={() => setBookingCompleteDialog(false)}
+            >
+              Cancel
+            </Button>
+            {isEditMode ? (
+              <Button onClick={handleSaveBooking}>Save Changes</Button>
+            ) : (
+              <Button
+                onClick={handleCompleteBooking}
+                className="bg-green-600 hover:bg-green-700"
+              >
+                <CheckCircle className="h-4 w-4 mr-2" />
+                Mark as Completed
+              </Button>
+            )}
+          </DialogFooter>
+        </DialogContent>
+      </Dialog>
+
+      {/* Receipt Dialog */}
+      <Dialog open={showReceiptDialog} onOpenChange={setShowReceiptDialog}>
+        <DialogContent className="max-w-2xl max-h-[90vh] overflow-y-auto">
+          <DialogHeader>
+            <DialogTitle>Service Receipt</DialogTitle>
+          </DialogHeader>
+          {receiptData && (
+            <>
+              <div
+                ref={receiptRef}
+                className="bg-white text-black p-6 rounded-lg print-receipt"
+              >
+                <style>{`
+                  @media print {
+                    .print-receipt { padding: 10px !important; }
+                    .print-receipt .logo img { max-height: 50px !important; width: auto !important; }
+                    .print-receipt .section { margin-bottom: 12px !important; }
+                    .print-receipt h2 { font-size: 16px !important; margin-bottom: 12px !important; }
+                    .print-receipt h3 { font-size: 12px !important; }
+                    .print-receipt .text-sm { font-size: 11px !important; }
+                    .print-receipt .text-xs { font-size: 10px !important; }
+                  }
+                `}</style>
+                <div className="receipt">
+                  {/* Header */}
+                  <div className="header text-center border-b-2 border-blue-600 pb-3 mb-4">
+                    <div className="logo flex flex-col items-center mb-2">
+                      <img
+                        src="/logo.png"
+                        alt="PromptTech Solutions"
+                        className="h-12 max-h-12 w-auto mb-1"
+                        style={{ maxWidth: "120px" }}
+                        onError={(e) => {
+                          e.target.style.display = "none";
+                        }}
+                      />
+                      <span className="text-xl font-bold text-blue-600">
+                        PromptTech Solutions
+                      </span>
+                    </div>
+                    <div className="company-info text-xs text-gray-600">
+                      <p>{receiptData.company?.address}</p>
+                      <p>
+                        Phone: {receiptData.company?.phone} | Email:{" "}
+                        {receiptData.company?.email}
+                      </p>
+                    </div>
+                  </div>
+
+                  {/* Receipt Title */}
+                  <h2 className="text-lg font-bold text-center mb-4">
+                    SERVICE RECEIPT
+                  </h2>
+
+                  {/* Customer Info */}
+                  <div className="section mb-4">
+                    <h3 className="font-bold border-b pb-1 mb-2 text-sm">
+                      Customer Information
+                    </h3>
+                    <div className="grid grid-cols-2 gap-1 text-sm">
+                      <div>
+                        <span className="font-medium text-gray-600">Name:</span>{" "}
+                        {receiptData.name}
+                      </div>
+                      <div>
+                        <span className="font-medium text-gray-600">
+                          Phone:
+                        </span>{" "}
+                        {receiptData.phone}
+                      </div>
+                      <div>
+                        <span className="font-medium text-gray-600">
+                          Email:
+                        </span>{" "}
+                        {receiptData.email}
+                      </div>
+                      <div>
+                        <span className="font-medium text-gray-600">
+                          Date Booked:
+                        </span>{" "}
+                        {new Date(receiptData.created_at).toLocaleDateString()}
+                      </div>
+                    </div>
+                  </div>
+
+                  {/* Service Info */}
+                  <div className="section mb-4">
+                    <h3 className="font-bold border-b pb-1 mb-2 text-sm">
+                      Service Details
+                    </h3>
+                    <div className="grid grid-cols-2 gap-1 text-sm">
+                      <div>
+                        <span className="font-medium text-gray-600">
+                          Service:
+                        </span>{" "}
+                        {receiptData.service_name}
+                      </div>
+                      <div>
+                        <span className="font-medium text-gray-600">
+                          Preferred Date:
+                        </span>{" "}
+                        {receiptData.preferred_date}
+                      </div>
+                      <div>
+                        <span className="font-medium text-gray-600">
+                          Status:
+                        </span>{" "}
+                        {receiptData.status}
+                      </div>
+                      {receiptData.completed_at && (
+                        <div>
+                          <span className="font-medium text-gray-600">
+                            Completed:
+                          </span>{" "}
+                          {new Date(
+                            receiptData.completed_at,
+                          ).toLocaleDateString()}
+                        </div>
+                      )}
+                    </div>
+                  </div>
+
+                  {/* Device Information */}
+                  {(receiptData.device_model ||
+                    receiptData.serial_number ||
+                    receiptData.product_number ||
+                    receiptData.screen_size) && (
+                    <div className="section mb-4">
+                      <h3 className="font-bold border-b pb-1 mb-2 text-sm">
+                        Device Information
+                      </h3>
+                      <div className="grid grid-cols-2 gap-1 text-sm">
+                        {receiptData.device_model && (
+                          <div>
+                            <span className="font-medium text-gray-600">
+                              Model:
+                            </span>{" "}
+                            {receiptData.device_model}
+                          </div>
+                        )}
+                        {receiptData.screen_size && (
+                          <div>
+                            <span className="font-medium text-gray-600">
+                              Screen Size:
+                            </span>{" "}
+                            {receiptData.screen_size}
+                          </div>
+                        )}
+                        {receiptData.serial_number && (
+                          <div>
+                            <span className="font-medium text-gray-600">
+                              Serial #:
+                            </span>{" "}
+                            {receiptData.serial_number}
+                          </div>
+                        )}
+                        {receiptData.product_number && (
+                          <div>
+                            <span className="font-medium text-gray-600">
+                              Product #:
+                            </span>{" "}
+                            {receiptData.product_number}
+                          </div>
+                        )}
+                      </div>
+                    </div>
+                  )}
+
+                  {/* Diagnosis & Work */}
+                  {(receiptData.diagnosis || receiptData.work_performed) && (
+                    <div className="section mb-4">
+                      <h3 className="font-bold border-b pb-1 mb-2 text-sm">
+                        Service Report
+                      </h3>
+                      {receiptData.diagnosis && (
+                        <div className="bg-gray-50 p-2 rounded mb-2">
+                          <p className="font-medium text-gray-600 mb-1">
+                            Diagnosis:
+                          </p>
+                          <p className="text-sm">{receiptData.diagnosis}</p>
+                        </div>
+                      )}
+                      {receiptData.work_performed && (
+                        <div className="bg-gray-50 p-2 rounded">
+                          <p className="font-medium text-gray-600 mb-1">
+                            Work Performed:
+                          </p>
+                          <p className="text-sm">
+                            {receiptData.work_performed}
+                          </p>
+                        </div>
+                      )}
+                    </div>
+                  )}
+
+                  {/* Notes */}
+                  {receiptData.notes && (
+                    <div className="section mb-4">
+                      <h3 className="font-bold border-b pb-1 mb-2">
+                        Customer Notes
+                      </h3>
+                      <p className="text-sm bg-gray-50 p-2 rounded">
+                        {receiptData.notes}
+                      </p>
+                    </div>
+                  )}
+
+                  {/* Total */}
+                  <div className="total text-lg font-bold text-right border-t-2 border-gray-800 pt-3 mt-4">
+                    Total: ${receiptData.final_cost?.toFixed(2) || "0.00"}
+                  </div>
+
+                  {/* Footer */}
+                  <div className="footer text-center mt-4 pt-3 border-t text-xs text-gray-500">
+                    <p>Thank you for choosing PromptTech Solutions!</p>
+                    <p>Questions? Contact us at {receiptData.company?.phone}</p>
+                  </div>
+                </div>
+              </div>
+              <DialogFooter className="mt-4">
+                <Button
+                  variant="outline"
+                  onClick={() => setShowReceiptDialog(false)}
+                >
+                  Close
+                </Button>
+                <Button onClick={printReceipt}>
+                  <Printer className="h-4 w-4 mr-2" />
+                  Print / Save as PDF
+                </Button>
+              </DialogFooter>
+            </>
+          )}
+        </DialogContent>
+      </Dialog>
     </div>
   );
 };
diff --git a/frontend/src/pages/Contact.js b/frontend/src/pages/Contact.js
index 7580e34..e91970f 100644
--- a/frontend/src/pages/Contact.js
+++ b/frontend/src/pages/Contact.js
@@ -41,19 +41,19 @@ const Contact = () => {
     {
       icon: MapPin,
       title: "Address",
-      content: "123 Tech Street, Silicon Valley, CA 94000",
+      content: "Belmopan City, Belize",
     },
     {
       icon: Phone,
       title: "Phone",
-      content: "+1 (234) 567-890",
-      link: "tel:+1234567890",
+      content: "(501) 638-6318",
+      link: "tel:+5016386318",
     },
     {
       icon: Mail,
       title: "Email",
-      content: "info@prompttechsolutions.com",
-      link: "mailto:info@prompttechsolutions.com",
+      content: "prompttechbz@gmail.com",
+      link: "mailto:prompttechbz@gmail.com",
     },
     {
       icon: Clock,
@@ -113,14 +113,32 @@ const Contact = () => {
               );
             })}
 
-            {/* Map placeholder */}
-            <div className="aspect-video rounded-xl overflow-hidden border border-border bg-muted">
-              <img
-                src="https://images.unsplash.com/photo-1526778548025-fa2f459cd5c1?w=800"
-                alt="Location Map"
-                className="w-full h-full object-cover"
-                data-testid="contact-map"
+            {/* Google Map - Belmopan City, Belize */}
+            <div
+              className="aspect-video rounded-xl overflow-hidden border border-border bg-muted relative group"
+              data-testid="contact-map"
+            >
+              <iframe
+                src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d30389.40536428!2d-88.7772!3d17.2514!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x8f5d0e6c6c6d4e6f%3A0x9f0b8c9e9e9e9e9e!2sBelmopan%2C%20Belize!5e0!3m2!1sen!2sus!4v1706824800000!5m2!1sen!2sus"
+                width="100%"
+                height="100%"
+                style={{ border: 0 }}
+                allowFullScreen=""
+                loading="lazy"
+                referrerPolicy="no-referrer-when-downgrade"
+                title="PromptTech Solutions Location - Belmopan City, Belize"
+                className="w-full h-full"
               />
+              {/* Ctrl + Scroll overlay */}
+              <div
+                className="absolute inset-0 bg-black/50 flex items-center justify-center opacity-0 group-hover:opacity-100 transition-opacity pointer-events-none"
+                style={{ pointerEvents: "none" }}
+              >
+                <div className="bg-background/90 px-4 py-2 rounded-lg text-sm font-medium flex items-center gap-2">
+                  <kbd className="px-2 py-1 bg-muted rounded text-xs">Ctrl</kbd>
+                  <span>+ scroll to zoom</span>
+                </div>
+              </div>
             </div>
           </div>
 
